Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 155085 - Java class resolving regression (IllegalAccessError thrown)
Summary: Java class resolving regression (IllegalAccessError thrown)
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: gcc
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Jakub Jelinek
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2005-04-16 01:54 UTC by Luca Barbieri
Modified: 2007-11-30 22:11 UTC (History)
2 users (show)

Fixed In Version: 4.0.0-1
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2005-04-24 12:18:27 UTC


Attachments (Terms of Use)

Description Luca Barbieri 2005-04-16 01:54:56 UTC
Description of problem:

Eclipse (3.1M6 rpms) gives this exception when trying to access help:

java.lang.IllegalAccessError: gnu.xml.pipeline.ValidationConsumer$ElementInfo:
gnu.xml.pipeline.ValidationConsumer.ANY
   at java.lang.VMClassLoader.resolveClass(java.lang.Class)
(/usr/lib/libgcj.so.6.0.0)
   at java.lang.Class.initializeClass() (/usr/lib/libgcj.so.6.0.0)
   at gnu.xml.pipeline.ValidationConsumer.elementDecl(java.lang.String,
java.lang.String) (/usr/lib/libgcj.so.6.0.0)
   at gnu.xml.aelfred2.XmlParser.parseContentspec(java.lang.String)
(/usr/lib/libgcj.so.6.0.0)
   at gnu.xml.aelfred2.XmlParser.parseElementDecl() (/usr/lib/libgcj.so.6.0.0)
   at gnu.xml.aelfred2.XmlParser.parseMarkupdecl() (/usr/lib/libgcj.so.6.0.0)
   at gnu.xml.aelfred2.XmlParser.parseDoctypedecl() (/usr/lib/libgcj.so.6.0.0)
   at gnu.xml.aelfred2.XmlParser.parseProlog() (/usr/lib/libgcj.so.6.0.0)
   at gnu.xml.aelfred2.XmlParser.parseDocument() (/usr/lib/libgcj.so.6.0.0)
   at gnu.xml.aelfred2.XmlParser.doParse(java.lang.String, java.lang.String,
java.io.Reader, java.io.InputStream, java.lang.String) (/usr/lib/libgcj.so.6.0.0)
   at gnu.xml.aelfred2.SAXDriver.parse(org.xml.sax.InputSource)
(/usr/lib/libgcj.so.6.0.0)
   at gnu.xml.aelfred2.XmlReader.parse(org.xml.sax.InputSource)
(/usr/lib/libgcj.so.6.0.0)
   at org.apache.commons.digester.Digester.parse(org.xml.sax.InputSource)
(/usr/lib/eclipse/plugins/org.eclipse.tomcat_4.1.30.1/commons-digester.jar.so)
   at org.apache.catalina.startup.ContextConfig.defaultConfig()
(/usr/lib/eclipse/plugins/org.eclipse.tomcat_4.1.30.1/catalina.jar.so)
   at org.apache.catalina.startup.ContextConfig.start()
(/usr/lib/eclipse/plugins/org.eclipse.tomcat_4.1.30.1/catalina.jar.so)
   at
org.apache.catalina.startup.ContextConfig.lifecycleEvent(org.apache.catalina.LifecycleEvent)
(/usr/lib/eclipse/plugins/org.eclipse.tomcat_4.1.30.1/catalina.jar.so)
   at
org.apache.catalina.util.LifecycleSupport.fireLifecycleEvent(java.lang.String,
java.lang.Object)
(/usr/lib/eclipse/plugins/org.eclipse.tomcat_4.1.30.1/catalina.jar.so)
   at org.apache.catalina.core.StandardContext.start()
(/usr/lib/eclipse/plugins/org.eclipse.tomcat_4.1.30.1/catalina.jar.so)
   at
org.apache.catalina.core.ContainerBase.addChildInternal(org.apache.catalina.Container)
(/usr/lib/eclipse/plugins/org.eclipse.tomcat_4.1.30.1/catalina.jar.so)
   at
org.apache.catalina.core.ContainerBase.addChild(org.apache.catalina.Container)
(/usr/lib/eclipse/plugins/org.eclipse.tomcat_4.1.30.1/catalina.jar.so)
   at
org.apache.catalina.core.StandardHost.addChild(org.apache.catalina.Container)
(/usr/lib/eclipse/plugins/org.eclipse.tomcat_4.1.30.1/catalina.jar.so)
   at org.eclipse.tomcat.internal.TomcatAppServer.start(int, java.lang.String)
(/usr/lib/eclipse/plugins/org.eclipse.tomcat_4.1.30.1/tomcatwrapper.jar.so)


Version-Release number of selected component (if applicable):
libgcj-4.0.0-0.42

How reproducible:
Always.

Steps to Reproduce:
1. Run Eclipse 3.1M6 and choose 'Help > Contents'

But any program that uses gnu.xml.pipeline.ValidationConsumer should also
trigger this.


Additional info:

The bug is NOT present in libgcj-4.0.0-0.40 (reverting makes it disappear).

Comment 1 Tom Tromey 2005-04-16 20:46:45 UTC
I checked in a fix for this on the gcc trunk.
It is waiting Mark's approval for 4.0.
The patch is here:

http://gcc.gnu.org/ml/java-patches/2005-q2/msg00125.html


Comment 2 Jakub Jelinek 2005-04-24 12:18:27 UTC
This fix is in libgcj-4.0.0-1.


Note You need to log in before you can comment on or make changes to this bug.